[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoSetOrientation

Sets the page orientation for a printer device.

## Declaration

Source position: printers.pas line 283

`protected procedure TPrinter.DoSetOrientation(`
`aValue: TPrinterOrientation`
`); virtual;`

## Arguments

`aValue` |  | Page orientation applied to the print device.

## Description

DoSetOrientation is a virtual procedure used to perform actions needed to set the page orientation for a print device. AValue is a value from the TPrinterOrientation enumeration applied to the print device. See TPrinterOrientation for more information about the enumeration values and their meanings. DoSetOrientation is called when a new value is assigned to the Orientation property.

Remark: | In TPrinter, DoSetOrientation has an empty implementation. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.

## See also

TPrinter.Orientation |  | Orientation for the page on the paper.
TPrinterOrientation |  | Represents page orientations for printers.